Std PerspectiveCamera/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
{{UnfinishedDocu{{#translation:}}}}
<languages/>
<languages/>

{{Docnav
|[[Std_OrthographicCamera|Std OrthographicCamera]]
|[[Std_MainFullscreen|Std MainFullscreen]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_OrthographicCamera.svg
|IconR=Std_MainFullscreen.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Std PerspectiveCamera|MenuLocation=[[Std View Menu|View]] → Perspective view‏‎||Workbenches=All|Shortcut=P|SeeAlso=[[Std OrthographicCamera|Orthographic view]]}}
{{GuiCommand|Name=Std PerspectiveCamera|MenuLocation=[[Std View Menu|View]] → Perspective view‏‎||Workbenches=All|Shortcut=P|SeeAlso=[[Std OrthographicCamera|Orthographic view]]}}
Line 11: Line 20:
</div>
</div>


The '''Std PerspectiveCamera''' command switches the camera in the active [[3D_view|3D view]] to perspective view mode. In this mode, objects that are further from the camera appear smaller than those that are closer.
Puts the camera in perspective view mode.


[[Image:Std_PerspectiveCamera_example.svg]]
Perspective has depth while Orthographic is a fixed depth . You can zoom in and out. You can judge distances. Cameras can be distanced from the scene.
{{Caption|Two cubes with the same dimensions in perspective view}}

[[Image:Orthographic_Perspective.gif]]

Modul vedere în Perspectivă în partea stângă, modul edere Ortogonal în partea dreaptă.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
==Utilizare==
==Utilizare==
Alegeți {{KEY| View}} → {{KEY|[[Image:View-perspective.svg|32px]] Perspective view}} din meniul de sus/top.
Alegeți {{KEY| View}} → {{KEY|[[Image:View-perspective.svg|32px]] Perspective view}} din meniul de sus/top.
</div>
</div>

# There are several ways to invoke the command:
#* Select the {{MenuCommand|View → [[Image:Std_PerspectiveCamera.svg|16px]] Perspective view}} option from the menu.
#* Use the keyboard shortcut: {{KEY|V}} then {{KEY|P}}.

==Notes==

* It is also possible to switch to perspective view mode via the Mini-cube menu of the [[Navigation_Cube|Navigation Cube]].

==Preferences==

* The camera type can be changed in the preferences: {{MenuCommand|Edit → Preferences... → Display → 3D View → Camera type}}. The selected type will be used for all 3D views of all opened documents and also for new documents. See [[Preferences_Editor#3D_View|Preferences Editor]].


==Scripting==
==Scripting==


{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{clear}}

To change the view to perspective use the {{incode|setCameraType}} method of the ActiveView object. This method is not available if FreeCAD is in console mode.

{{Code|code=
import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Perspective')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()
}}

{{Docnav
|[[Std_OrthographicCamera|Std OrthographicCamera]]
|[[Std_MainFullscreen|Std MainFullscreen]]
|[[Std_View_Menu|Std View Menu]]
|IconL=Std_OrthographicCamera.svg
|IconR=Std_MainFullscreen.svg
|IconC=Freecad.svg
}}

{{Std Base navi{{#translation:}}}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Revision as of 20:03, 9 April 2020

Std PerspectiveCamera

Menu location
View → Perspective view‏‎
Workbenches
All
Default shortcut
P
Introduced in version
-
See also
Orthographic view

Descriere

Puneți camera în modul vedere perspectivă.
Perspectivă are adâncime pe când modul Ortogonal areadâncime fixă . Puteți mări și micșora imaginile. Puteți judeca distanțele. Camerele pot fi distanțate de scenă.

The Std PerspectiveCamera command switches the camera in the active 3D view to perspective view mode. In this mode, objects that are further from the camera appear smaller than those that are closer.

Two cubes with the same dimensions in perspective view

Utilizare

Alegeți View Perspective view din meniul de sus/top.

  1. There are several ways to invoke the command:
    • Select the View → Perspective view option from the menu.
    • Use the keyboard shortcut: V then P.

Notes

  • It is also possible to switch to perspective view mode via the Mini-cube menu of the Navigation Cube.

Preferences

  • The camera type can be changed in the preferences: Edit → Preferences... → Display → 3D View → Camera type. The selected type will be used for all 3D views of all opened documents and also for new documents. See Preferences Editor.

Scripting

See also: FreeCAD Scripting Basics.

To change the view to perspective use the setCameraType method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.setCameraType('Perspective')
FreeCADGui.ActiveDocument.ActiveView.getCameraType()